<?php
namespace Modules\Commande\Rules;

use Psr\Http\Message\ServerRequestInterface;

// @phpcs:ignore
class ListeCommande
{
    /** @var ServerRequestInterFace $request */
    protected ServerRequestInterface $request;
    
    /** @var \PDO $pdo */
    protected \PDO $pdo;
    
    public function __construct(ServerRequestInterface $request, \PDO $pdo)
    {
        $this->request  = $request;
        $this->pdo      = $pdo;
    }


    /**
     * @return bool
     */
    public function listeLigne(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function exportListeLigne(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function listeEvenement(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function exportListeEvenement(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function listeEnteteNonValide(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function exportListeEnteteNonValide(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function listeEnteteHistorisees(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function exportListeEnteteHistorisees(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function detailCommandeHisto(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function listeLigneHistorisees(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function exportListeLigneHistorisees(): bool
    {
        return true;
    }
}
